Subject: bug#36172: 27.0.50; linking error in git head on macos: _aligned_alloc

From: Paul Eggert <[email-masked]>
Date: Tue, 11 Jun 2019 10:37:41 -0700

This vaguely looks like the configure-time check for aligned_alloc 
disagrees with what's actually installed in your runtime library. If 
your runtime library is older than what you built Emacs with, that might 
explain the problem.

What are the values of HAVE_ALIGNED_ALLOC, HYBRID_MALLOC, 
HAVE_POSIX_MEMALIGN, SYSTEM_MALLOC, and DOUG_LEA_MALLOC in your 
src/config.h file? Do these values correspond to what is actually on 
your system?